Bug 209865 - bogus permissions
bogus permissions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: transfig (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
bzcl34nup
:
Depends On:
Blocks: 226502
  Show dependency treegraph
 
Reported: 2006-10-07 00:13 EDT by Ralf Corsepius
Modified: 2010-03-03 08:29 EST (History)
3 users (show)

See Also:
Fixed In Version: transfig-3.2.5-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-03 08:29:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against F-10's CVS to fix this bug (2.17 KB, patch)
2008-11-26 04:19 EST, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Ralf Corsepius 2006-10-07 00:13:33 EDT
Description of problem:

This package contains files with bogus permissions:

# rpmlint transfig-3.2.4-16.i386.rpm | grep shebang 
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp6.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/bricks.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp16.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/octagons.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/vert_saw.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp10.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/circles.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/dashDotDot.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp0.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp20.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/horiz_saw.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/dot.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/right45.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/vert_leftshingle.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp7.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/vert_rightshingle.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp13.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp4.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp17.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp14.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/small_fishscales.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/dashDot.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp1.bmp
E: transfig script-without-shebang /usr/share/fig2dev/korean.ps
E: transfig script-without-shebang /usr/share/xfig/bitmaps/rightshingle.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp11.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp2.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/vert_bricks.bmp
E: transfig script-without-shebang /usr/share/fig2dev/cs_CZ.ps
E: transfig script-without-shebang /usr/share/xfig/bitmaps/vertical.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp8.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp12.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/dashDotDotDot.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/left30.bmp
E: transfig script-without-shebang /usr/share/fig2dev/japanese.ps
E: transfig script-without-shebang /usr/share/xfig/bitmaps/horizontal.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/crosshatch.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/p13.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp5.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp3.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp19.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/fishscales.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/crosshatch30.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/crosshatch45.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/leftshingle.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/dash.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/right30.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp18.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/hexagons.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/left45.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp15.bmp
E: transfig script-without-shebang /usr/share/xfig/bitmaps/sp9.bmp

All these files should be "chmod -x"'ed

Version-Release number of selected component (if applicable):
transfig-3.2.4-16

How reproducible:
cf. above.
Comment 1 Bug Zapper 2008-04-03 23:55:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Ralf Corsepius 2008-04-04 01:39:40 EDT
bug is still present in FC8.
Comment 3 Johan Kok 2008-05-03 04:48:01 EDT
(In reply to comment #2)
> bug is still present in FC8.
> 

Thanks for checking that this issue is still present. Removing NEEDINFO.
Comment 4 Bug Zapper 2008-11-26 02:02:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ralf Corsepius 2008-11-26 03:38:35 EST
Bug still present in FC10 and rawhide.
Comment 6 Ralf Corsepius 2008-11-26 04:19:04 EST
Created attachment 324698 [details]
patch against F-10's CVS to fix this bug
Comment 7 Ralf Corsepius 2008-12-19 23:07:15 EST
Stepan, provided ACLs on this package are open and how long this bug has persisted unattended, I decided to go ahead and to apply my proposed fix. 
to rawhide, FC-10 and FC-9.

I'll push FC-9 and FC-10 packages to testing, but do not intend to push 
them to "stable". 

Please take my apologies, shouldn't you agree with this procedure.
Comment 8 Fedora Update System 2008-12-20 00:21:23 EST
transfig-3.2.5-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/transfig-3.2.5-5.fc10
Comment 9 Fedora Update System 2008-12-20 00:22:10 EST
transfig-3.2.5-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/transfig-3.2.5-5.fc9
Comment 10 Fedora Update System 2008-12-21 18:36:43 EST
transfig-3.2.5-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update transfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11633
Comment 11 Fedora Update System 2008-12-21 18:40:39 EST
transfig-3.2.5-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11664
Comment 12 Bug Zapper 2009-06-09 05:10:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.